> For the complete documentation index, see [llms.txt](https://docs.mikopbx.com/mikopbx/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mikopbx.com/mikopbx/english/faq/troubleshooting/jitter-configuration.md).

# Jitter Configuration

Jitter configuration is usually required when there are significant issues with RTP traffic transmission, such as delayed voice, dropped audio, or the inability to hear the other party.

It is best to investigate the root cause by analyzing call dumps on the PBX, router, or upstream router. Compare the data and observe where the jitter increases.

{% hint style="success" %}
There is this [article ](/mikopbx/english/faq/troubleshooting/solving-sound-problems.md)on sound problems.
{% endhint %}

However, in some cases, you may not be able to influence the quality of the communication channel. If the audio stream delay becomes too large, Asterisk will discard "late" packets. Increasing the Jitter value can solve this issue.

In MikoPBX, jitter can only be configured through [system files customisation](/mikopbx/english/manual/system/custom-files.md).

**modules.conf** - Add the following line:

```
load => func_jitterbuffer.so
```

**extensions.conf** - You can add **custom** contexts for the provider:

For internal (outgoing):

```php
[all_peers-custom] 
exten => _.!,1,Set(JITTERBUFFER(fixed)=200,1500) 
    same => n,return
```

For internal (incoming):

```php
[internal-users-custom] 
exten => _.!,1,Set(JITTERBUFFER(fixed)=200,1500) 
    same => n,return
```

For incoming calls:

```php
[SIP-1611151795-incoming-custom] 
exten => _.!,1,Set(JITTERBUFFER(fixed)=200,1500) 
    same => n,return
```

For outgoing calls:

```php
[SIP-1611151795-incoming-custom] 
exten => _.!,1,Set(JITTERBUFFER(fixed)=200,1500) 
    same => n,return
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mikopbx.com/mikopbx/english/faq/troubleshooting/jitter-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
